Closed Bug 1485536 Opened Last year Closed Last year

Intermittent dom/media/test/test_videoPlaybackQuality_totalFrames.html | bipbop.mp4 totalFrames should match! - got 298, expected 297

Categories

(Core :: Audio/Video: Playback, defect, P5)

defect

Tracking

()

RESOLVED FIXED
mozilla63
Tracking Status
firefox63 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: jya)

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

Filed by: cbrindusan [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=195397754&repo=mozilla-central

https://queue.taskcluster.net/v1/task/Yd01oYJ-Sca9d2hJ4BzFtg/runs/0/artifacts/public/logs/live_backing.log

[task 2018-08-22T23:14:48.400Z] 23:14:48     INFO - TEST-START | dom/media/test/test_videoPlaybackQuality_totalFrames.html
[task 2018-08-22T23:15:00.559Z] 23:15:00     INFO - TEST-INFO | started process screentopng
[task 2018-08-22T23:15:01.004Z] 23:15:01     INFO - TEST-INFO | screentopng: exit 0
[task 2018-08-22T23:15:01.005Z] 23:15:01     INFO - Buffered messages logged at 23:14:48
[task 2018-08-22T23:15:01.007Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | A valid string reason is expected 
[task 2018-08-22T23:15:01.008Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | Reason cannot be empty 
[task 2018-08-22T23:15:01.010Z] 23:15:01     INFO - Started Wed Aug 22 2018 23:14:48 GMT+0000 (Coordinated Universal Time) (1534979688.478s)
[task 2018-08-22T23:15:01.010Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [started bipbop.mp4-0 t=0.005] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.015Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [started gizmo.mp4-1 t=0.007] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.015Z] 23:15:01     INFO - Buffered messages logged at 23:14:56
[task 2018-08-22T23:15:01.016Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | gizmo.mp4 totalFrames should match! 
[task 2018-08-22T23:15:01.017Z] 23:15:01     INFO - [finished gizmo.mp4-1] remaining= bipbop.mp4-0
[task 2018-08-22T23:15:01.017Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [finished gizmo.mp4-1 t=7.592] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.018Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [started seek-short.webm-2 t=7.594] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.019Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | seek-short.webm totalFrames should match! 
[task 2018-08-22T23:15:01.020Z] 23:15:01     INFO - [finished seek-short.webm-2] remaining= bipbop.mp4-0
[task 2018-08-22T23:15:01.022Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [finished seek-short.webm-2 t=7.863] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.022Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [started seek.webm-3 t=7.864] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.022Z] 23:15:01     INFO - Buffered messages logged at 23:15:00
[task 2018-08-22T23:15:01.022Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | seek.webm totalFrames should match! 
[task 2018-08-22T23:15:01.022Z] 23:15:01     INFO - [finished seek.webm-3] remaining= bipbop.mp4-0
[task 2018-08-22T23:15:01.024Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [finished seek.webm-3 t=11.844] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.024Z] 23:15:01     INFO - TEST-PASS | dom/media/test/test_videoPlaybackQuality_totalFrames.html | [started 320x240.ogv-4 t=11.845] Length of array should match number of running tests 
[task 2018-08-22T23:15:01.025Z] 23:15:01     INFO - Buffered messages finished
[task 2018-08-22T23:15:01.025Z] 23:15:01     INFO - TEST-UNEXPECTED-FAIL | dom/media/test/test_videoPlaybackQuality_totalFrames.html | bipbop.mp4 totalFrames should match! - got 298, expected 297
This test is bound to cause intermittents following bug 1245400.

however, it should never increase the number of total frames....
The issue is that all frames sent to the compositor as marked as rendered, however should a frame be dropped by the compositor, then it will be also accounted in the dropped frame.
Assignee: nobody → jyavenard
We rename a method in FrameStatistics to better match what it's actually doing.
Comment on attachment 9003783 [details]
Bug 1485536 - Don't account frames dropped by the compositor as presented. r?bryce

Bryce Seager van Dyk (:bryce) has approved the revision.
Attachment #9003783 - Flags: review+
Pushed by jyavenard@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1dc785e713d9
Don't account frames dropped by the compositor as presented. r=bryce
There is also this crash: https://treeherder.mozilla.org/logviewer.html#?job_id=195783726&repo=autoland&lineNumber=1274

17:31:57     INFO - PROCESS-CRASH | Main app process exited normally | application crashed [@ xul.dll + 0x3039c57]
17:31:57     INFO - Crash dump filename: c:\users\task_1535131306\appdata\local\temp\tmp5ov4ws.mozrunner\minidumps\8b7263f8-20e0-47c1-ab3a-38ba8c3791ee.dmp
17:31:57     INFO - Operating system: Windows NT
17:31:57     INFO -                   10.0.15063 
17:31:57     INFO - CPU: amd64
17:31:57     INFO -      family 6 model 63 stepping 2
17:31:57     INFO -      8 CPUs
17:31:57     INFO - 
17:31:57     INFO - GPU: UNKNOWN
17:31:57     INFO - 
17:31:57     INFO - Crash reason:  EXCEPTION_BREAKPOINT
17:31:57     INFO - Crash address: 0x7ffba3f09c57
17:31:57     INFO - Assertion: Unknown assertion type 0x00000000
17:31:57     INFO - Process uptime: 56 seconds
17:31:57     INFO - 
17:31:57     INFO - Thread 38 (crashed)
17:31:57     INFO -  0  xul.dll + 0x3039c57
17:31:57     INFO -     rax = 0x00007ffba5c1e0f4   rdx = 0x7fffffffffffff01
17:31:57     INFO -     rcx = 0x00007ffbc86939b0   rbx = 0x0000000000000001
17:31:57     INFO -     rsi = 0x00000174ade3e460   rdi = 0x000000000000000a
17:31:57     INFO -     rbp = 0x0000000000000000   rsp = 0x0000006a8ddbf320
17:31:57     INFO -      r8 = 0x00000174ac4daf20    r9 = 0x0000000000008235
17:31:57     INFO -     r10 = 0x0000000000000008   r11 = 0x00000174a3a000a0
17:31:57     INFO -     r12 = 0x0000006a8ddbf390   r13 = 0x000000000019615b
17:31:57     INFO -     r14 = 0x00000000fffffff7   r15 = 0x0000006a8ddbf399
17:31:57     INFO -     rip = 0x00007ffba3f09c57
17:31:57     INFO -     Found by: given as instruction pointer in context
17:31:57     INFO -  1  ntdll.dll!RtlpWakeSRWLock + 0x8f
17:31:57     INFO -     rsp = 0x0000006a8ddbf330   rip = 0x00007ffbd4236567
17:31:57     INFO -     Found by: stack scanning
17:31:57     INFO -  2  0x174af5ce228
17:31:57     INFO -     rsp = 0x0000006a8ddbf360   rip = 0x00000174af5ce228
17:31:57     INFO -     Found by: call frame info
17:31:57     INFO -  3  mozglue.dll!static void arena_dalloc(void *, unsigned __int64, struct arena_t *) [mozjemalloc.cpp:1dc785e713d98436719d12616ececf74d0b34bcc : 3530 + 0x4e]
17:31:57     INFO -     rsp = 0x0000006a8ddbf380   rip = 0x00007ffbc866d787
17:31:57     INFO -     Found by: stack scanning
17:31:57     INFO -  4  0x1f77f98c1ed8
17:31:57     INFO -     rsp = 0x0000006a8ddbf3f0   rip = 0x00001f77f98c1ed8
17:31:57     INFO -     Found by: call frame info
17:31:57     INFO -  5  mozglue.dll!static void arena_dalloc(void *, unsigned __int64, struct arena_t *) [mozjemalloc.cpp:1dc785e713d98436719d12616ececf74d0b34bcc : 3530 + 0x4e]
17:31:57     INFO -     rsp = 0x0000006a8ddbf400   rip = 0x00007ffbc866d787
17:31:57     INFO -     Found by: stack scanning
17:31:57     INFO -  6  xul.dll + 0x303c237
17:31:57     INFO -     rsp = 0x0000006a8ddbf470   rip = 0x00007ffba3f0c237
17:31:57     INFO -     Found by: call frame info
17:31:57     INFO -  7  ntdll.dll!RtlSetLastWin32Error + 0x40
17:31:57     INFO -     rsp = 0x0000006a8ddbf490   rip = 0x00007ffbd421a680
17:31:57     INFO -     Found by: stack scanning
17:31:57     INFO -  8  xul.dll + 0x16b4b97
17:31:57     INFO -     rsp = 0x0000006a8ddbf4e0   rip = 0x00007ffba2584b97
17:31:57     INFO -     Found by: call frame info
17:31:57     INFO -  9  KERNELBASE.dll!Normalization__LoadTables + 0xb5
17:31:57     INFO -     rsp = 0x0000006a8ddbf510   rip = 0x00007ffbd086e941
17:31:57     INFO -     Found by: stack scanning
17:31:57     INFO - 10  0x174ade23340
17:31:57     INFO -     rsp = 0x0000006a8ddbf540   rip = 0x00000174ade23340
17:31:57     INFO -     Found by: call frame info
Pushed by jyavenard@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/8c8ff2c7bfa1
Don't account frames dropped by the compositor as presented. r=bryce
Backed out for crashes at [@ mozilla::media::VideoSink::~VideoSink()]

backout: https://hg.mozilla.org/integration/autoland/rev/b0a28bbe750bdac8ac5b3eaa65787fcb74fb6f9c

push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=8c8ff2c7bfa19deaca39766ad5ca47983039cc1e

failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=195935525&repo=autoland&lineNumber=8663

[task 2018-08-25T20:12:59.863Z] 20:12:59     INFO - TEST-INFO | Main app process: exit 0
[task 2018-08-25T20:12:59.863Z] 20:12:59     INFO - runtests.py | Application ran for: 0:00:23.670898
[task 2018-08-25T20:12:59.863Z] 20:12:59     INFO - zombiecheck | Reading PID log: /tmp/tmp05qPmXpidlog
[task 2018-08-25T20:12:59.865Z] 20:12:59     INFO - ==> process 9176 launched child process 9200
[task 2018-08-25T20:12:59.865Z] 20:12:59     INFO - ==> process 9176 launched child process 9264
[task 2018-08-25T20:12:59.867Z] 20:12:59     INFO - ==> process 9176 launched child process 9285
[task 2018-08-25T20:12:59.868Z] 20:12:59     INFO - ==> process 9176 launched child process 9331
[task 2018-08-25T20:12:59.870Z] 20:12:59     INFO - ==> process 9176 launched child process 9385
[task 2018-08-25T20:12:59.871Z] 20:12:59     INFO - zombiecheck | Checking for orphan process with PID: 9200
[task 2018-08-25T20:12:59.871Z] 20:12:59     INFO - zombiecheck | Checking for orphan process with PID: 9264
[task 2018-08-25T20:12:59.872Z] 20:12:59     INFO - zombiecheck | Checking for orphan process with PID: 9331
[task 2018-08-25T20:12:59.873Z] 20:12:59     INFO - zombiecheck | Checking for orphan process with PID: 9285
[task 2018-08-25T20:12:59.874Z] 20:12:59     INFO - zombiecheck | Checking for orphan process with PID: 9385
[task 2018-08-25T20:12:59.875Z] 20:12:59     INFO - mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/DMmPtL_8RbCmW-ryPTRJlg/artifacts/public/build/target.crashreporter-symbols.zip
[task 2018-08-25T20:13:06.038Z] 20:13:06     INFO - mozcrash Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmp98_63k.mozrunner/minidumps/7dfbe961-3292-b040-c2bf-ea4f67a29e27.dmp /tmp/tmpFK1FsO
[task 2018-08-25T20:13:14.561Z] 20:13:14     INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/7dfbe961-3292-b040-c2bf-ea4f67a29e27.dmp
[task 2018-08-25T20:13:14.563Z] 20:13:14     INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/7dfbe961-3292-b040-c2bf-ea4f67a29e27.extra
[task 2018-08-25T20:13:14.686Z] 20:13:14     INFO - PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::media::VideoSink::~VideoSink()]
[task 2018-08-25T20:13:14.687Z] 20:13:14     INFO - Crash dump filename: /tmp/tmp98_63k.mozrunner/minidumps/7dfbe961-3292-b040-c2bf-ea4f67a29e27.dmp
[task 2018-08-25T20:13:14.687Z] 20:13:14     INFO - Operating system: Linux
[task 2018-08-25T20:13:14.688Z] 20:13:14     INFO -                   0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2018-08-25T20:13:14.689Z] 20:13:14     INFO - CPU: amd64
[task 2018-08-25T20:13:14.689Z] 20:13:14     INFO -      family 6 model 62 stepping 4
[task 2018-08-25T20:13:14.690Z] 20:13:14     INFO -      2 CPUs
[task 2018-08-25T20:13:14.690Z] 20:13:14     INFO - 
[task 2018-08-25T20:13:14.691Z] 20:13:14     INFO - GPU: UNKNOWN
[task 2018-08-25T20:13:14.691Z] 20:13:14     INFO - 
[task 2018-08-25T20:13:14.692Z] 20:13:14     INFO - Crash reason:  SIGSEGV
[task 2018-08-25T20:13:14.692Z] 20:13:14     INFO - Crash address: 0x0
[task 2018-08-25T20:13:14.693Z] 20:13:14     INFO - Process uptime: not available
[task 2018-08-25T20:13:14.693Z] 20:13:14     INFO - 
[task 2018-08-25T20:13:14.694Z] 20:13:14     INFO - Thread 0 (crashed)
[task 2018-08-25T20:13:14.694Z] 20:13:14     INFO -  0  libxul.so!mozilla::media::VideoSink::~VideoSink() [VideoSink.cpp:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 70 + 0x0]
[task 2018-08-25T20:13:14.695Z] 20:13:14     INFO -     rax = 0x00007f8b2e8a26ef   rdx = 0x00007f8b3a000020
[task 2018-08-25T20:13:14.695Z] 20:13:14     INFO -     rcx = 0x000000000063c6f8   rbx = 0x00007f8b191f6dc0
[task 2018-08-25T20:13:14.696Z] 20:13:14     INFO -     rsi = 0x0000000000000000   rdi = 0x00007f8b191f6dc0
[task 2018-08-25T20:13:14.697Z] 20:13:14     INFO -     rbp = 0x00007ffee42df300   rsp = 0x00007ffee42df2f0
[task 2018-08-25T20:13:14.698Z] 20:13:14     INFO -      r8 = 0x0000000000000000    r9 = 0x0000000004000001
[task 2018-08-25T20:13:14.698Z] 20:13:14     INFO -     r10 = 0x0000000000000001   r11 = 0x0000000000000283
[task 2018-08-25T20:13:14.699Z] 20:13:14     INFO -     r12 = 0x00007f8b18324c98   r13 = 0x00007f8b2faa4d04
[task 2018-08-25T20:13:14.700Z] 20:13:14     INFO -     r14 = 0x00007f8b18324c80   r15 = 0x00007f8b19152000
[task 2018-08-25T20:13:14.700Z] 20:13:14     INFO -     rip = 0x00007f8b2b66b1dd
[task 2018-08-25T20:13:14.701Z] 20:13:14     INFO -     Found by: given as instruction pointer in context
[task 2018-08-25T20:13:14.702Z] 20:13:14     INFO -  1  libxul.so!mozilla::media::VideoSink::~VideoSink() [VideoSink.cpp:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 66 + 0x5]
[task 2018-08-25T20:13:14.702Z] 20:13:14     INFO -     rbx = 0x00007f8b191f6dc0   rbp = 0x00007ffee42df320
[task 2018-08-25T20:13:14.703Z] 20:13:14     INFO -     rsp = 0x00007ffee42df310   r12 = 0x00007f8b18324c98
[task 2018-08-25T20:13:14.704Z] 20:13:14     INFO -     r13 = 0x00007f8b2faa4d04   r14 = 0x00007f8b18324c80
[task 2018-08-25T20:13:14.704Z] 20:13:14     INFO -     r15 = 0x00007f8b19152000   rip = 0x00007f8b2b66b1fe
[task 2018-08-25T20:13:14.705Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.705Z] 20:13:14     INFO -  2  libxul.so!mozilla::MediaDecoderStateMachine::~MediaDecoderStateMachine() [MediaSink.h:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 38 + 0x9]
[task 2018-08-25T20:13:14.706Z] 20:13:14     INFO -     rbx = 0x00007f8b18303550   rbp = 0x00007ffee42df380
[task 2018-08-25T20:13:14.707Z] 20:13:14     INFO -     rsp = 0x00007ffee42df330   r12 = 0x00007f8b18324c98
[task 2018-08-25T20:13:14.707Z] 20:13:14     INFO -     r13 = 0x00007f8b2faa4d04   r14 = 0x00007f8b18324c80
[task 2018-08-25T20:13:14.708Z] 20:13:14     INFO -     r15 = 0x00007f8b19152000   rip = 0x00007f8b2b54462e
[task 2018-08-25T20:13:14.709Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.709Z] 20:13:14     INFO -  3  libxul.so!mozilla::MediaDecoderStateMachine::~MediaDecoderStateMachine() [MediaDecoderStateMachine.cpp:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 2733 + 0x5]
[task 2018-08-25T20:13:14.710Z] 20:13:14     INFO -     rbx = 0x00007f8b19152000   rbp = 0x00007ffee42df3a0
[task 2018-08-25T20:13:14.710Z] 20:13:14     INFO -     rsp = 0x00007ffee42df390   r12 = 0x0000000000000000
[task 2018-08-25T20:13:14.711Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f8b1912b400
[task 2018-08-25T20:13:14.712Z] 20:13:14     INFO -     r15 = 0x00007f8b20c4c3a0   rip = 0x00007f8b2b544dfe
[task 2018-08-25T20:13:14.712Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.713Z] 20:13:14     INFO -  4  libxul.so!mozilla::MediaDecoder::SetStateMachine(mozilla::MediaDecoderStateMachine*) [MediaDecoderStateMachine.h:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 175 + 0x6]
[task 2018-08-25T20:13:14.713Z] 20:13:14     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffee42df3f0
[task 2018-08-25T20:13:14.714Z] 20:13:14     INFO -     rsp = 0x00007ffee42df3b0   r12 = 0x0000000000000000
[task 2018-08-25T20:13:14.715Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f8b1912b400
[task 2018-08-25T20:13:14.715Z] 20:13:14     INFO -     r15 = 0x00007f8b20c4c3a0   rip = 0x00007f8b2b538a74
[task 2018-08-25T20:13:14.716Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.717Z] 20:13:14     INFO -  5  libxul.so!mozilla::MediaDecoder::FinishShutdown() [MediaDecoder.cpp:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 457 + 0x7]
[task 2018-08-25T20:13:14.718Z] 20:13:14     INFO -     rbx = 0x00007f8b1912b400   rbp = 0x00007ffee42df410
[task 2018-08-25T20:13:14.719Z] 20:13:14     INFO -     rsp = 0x00007ffee42df400   r12 = 0x0000000000000000
[task 2018-08-25T20:13:14.720Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f8b39f74800
[task 2018-08-25T20:13:14.720Z] 20:13:14     INFO -     r15 = 0x00007f8b20c4c3a0   rip = 0x00007f8b2b537b10
[task 2018-08-25T20:13:14.720Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.721Z] 20:13:14     INFO -  6  libxul.so!mozilla::MozPromise<bool, bool, false>::ThenValue<mozilla::MediaDecoder*, void (mozilla::MediaDecoder::*)(), void (mozilla::MediaDecoder::*)()>::DoResolveOrRejectInternal(mozilla::MozPromise<bool, bool, false>::ResolveOrRejectValue&) [MozPromise.h:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 538 + 0xe]
[task 2018-08-25T20:13:14.721Z] 20:13:14     INFO -     rbx = 0x00007f8b11fee580   rbp = 0x00007ffee42df430
[task 2018-08-25T20:13:14.722Z] 20:13:14     INFO -     rsp = 0x00007ffee42df420   r12 = 0x0000000000000000
[task 2018-08-25T20:13:14.722Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f8b39f74800
[task 2018-08-25T20:13:14.723Z] 20:13:14     INFO -     r15 = 0x00007f8b20c4c3a0   rip = 0x00007f8b2b551101
[task 2018-08-25T20:13:14.723Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.724Z] 20:13:14     INFO -  7  libxul.so!mozilla::MozPromise<bool, bool, false>::ThenValueBase::ResolveOrRejectRunnable::Run() [MozPromise.h:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 411 + 0x5]
[task 2018-08-25T20:13:14.724Z] 20:13:14     INFO -     rbx = 0x00007f8b1187a4c0   rbp = 0x00007ffee42df450
[task 2018-08-25T20:13:14.725Z] 20:13:14     INFO -     rsp = 0x00007ffee42df440   r12 = 0x0000000000000000
[task 2018-08-25T20:13:14.725Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f8b39f74800
[task 2018-08-25T20:13:14.726Z] 20:13:14     INFO -     r15 = 0x00007f8b20c4c3a0   rip = 0x00007f8b29af1365
[task 2018-08-25T20:13:14.726Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.727Z] 20:13:14     INFO -  8  libxul.so!mozilla::EventTargetWrapper::Runner::Run() [AbstractThread.cpp:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 150 + 0x6]
[task 2018-08-25T20:13:14.728Z] 20:13:14     INFO -     rbx = 0x00007f8b14b849c0   rbp = 0x00007ffee42df480
[task 2018-08-25T20:13:14.728Z] 20:13:14     INFO -     rsp = 0x00007ffee42df460   r12 = 0x0000000000000000
[task 2018-08-25T20:13:14.729Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f8b39f74800
[task 2018-08-25T20:13:14.729Z] 20:13:14     INFO -     r15 = 0x00007f8b20c4c3a0   rip = 0x00007f8b29ae09d9
[task 2018-08-25T20:13:14.730Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.730Z] 20:13:14     INFO -  9  libxul.so!mozilla::SchedulerGroup::Runnable::Run() [SchedulerGroup.cpp:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 337 + 0x6]
[task 2018-08-25T20:13:14.731Z] 20:13:14     INFO -     rbx = 0x00007f8b11ffaba0   rbp = 0x00007ffee42df500
[task 2018-08-25T20:13:14.731Z] 20:13:14     INFO -     rsp = 0x00007ffee42df490   r12 = 0x00007f8b11ffaba0
[task 2018-08-25T20:13:14.731Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x0000000000000000
[task 2018-08-25T20:13:14.732Z] 20:13:14     INFO -     r15 = 0x00007f8b23f037c0   rip = 0x00007f8b29adeef1
[task 2018-08-25T20:13:14.732Z] 20:13:14     INFO -     Found by: call frame info
[task 2018-08-25T20:13:14.732Z] 20:13:14     INFO - 10  libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:8c8ff2c7bfa19deaca39766ad5ca47983039cc1e : 1167 + 0xa]
[task 2018-08-25T20:13:14.733Z] 20:13:14     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffee42dfa10
[task 2018-08-25T20:13:14.733Z] 20:13:14     INFO -     rsp = 0x00007ffee42df510   r12 = 0x00007f8b11ffaba0
[task 2018-08-25T20:13:14.734Z] 20:13:14     INFO -     r13 = 0x0000000000000000   r14 = 0x0000000000000000
[task 2018-08-25T20:13:14.735Z] 20:13:14     INFO -     r15 = 0x00007f8b23f037c0   rip = 0x00007f8b29aec0a9
[task 2018-08-25T20:13:14.735Z] 20:13:14     INFO -     Found by: call frame info
Pushed by jyavenard@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c2e9f058eb77
Don't account frames dropped by the compositor as presented. r=bryce
https://hg.mozilla.org/mozilla-central/rev/c2e9f058eb77
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
Flags: needinfo?(jyavenard)
You need to log in before you can comment on or make changes to this bug.